<?xml version="1.0" encoding="UTF-8"?>
<testsuites name="Restore_databases_with_flyway" time="18" tests="4" failures="0" errors="0">
   <testsuite name="Restore_databases_with_flyway" tests="4" failures="0" errors="0" time="18" timestamp="2019-07-31 17:56:17" hostname="jenny.maldonado - txbojmaldonado3.bo.truextend.com" id="Test Suites/Databases/Restore_databases_with_flyway">
      <properties>
         <property name="deviceName" value=""/>
         <property name="devicePlatform" value=""/>
         <property name="logFolder" value="C:\\Users\\jenny.maldonado\\git\\cropmetricskatalonstudio\\Reports\\Databases\\Restore_databases_with_flyway\\20190731_175610"/>
         <property name="logFiles" value="C:\\Users\\jenny.maldonado\\git\\cropmetricskatalonstudio\\Reports\\Databases\\Restore_databases_with_flyway\\20190731_175610\\execution0.log"/>
         <property name="attachments" value=""/>
         <property name="hostName" value="jenny.maldonado - txbojmaldonado3.bo.truextend.com"/>
         <property name="hostAddress" value="192.168.56.1"/>
         <property name="os" value="Windows 10 64bit"/>
         <property name="katalonVersion" value="6.1.2.2"/>
      </properties>
      <testcase name="Test Cases/Databases/DB_Create_virtualoptimizer_database" classname="Test Cases/Databases/DB_Create_virtualoptimizer_database" status="PASSED">
         <system-out><![CDATA[2019-07-31 17:56:18 - [TEST_CASE][PASSED] - Test Cases/Databases/DB_Create_virtualoptimizer_database: Test Cases/Databases/DB_Create_virtualoptimizer_database

2019-07-31 17:56:18 - [TEST_STEP][PASSED] - server = server: null

2019-07-31 17:56:19 - [TEST_STEP][PASSED] - port = port: null

2019-07-31 17:56:19 - [TEST_STEP][PASSED] - user = userDb: null

2019-07-31 17:56:19 - [TEST_STEP][PASSED] - password = passwordDb: null

2019-07-31 17:56:19 - [TEST_STEP][PASSED] - pathPostgreSQL = pathPostgreSQLBin: null

2019-07-31 17:56:19 - [TEST_STEP][PASSED] - database = "virtualoptimizer": null

2019-07-31 17:56:19 - [TEST_STEP][PASSED] - command = String.format("cd "%s" && createdb -h %s -p %d -U %s  %s", pathPostgreSQL, server, port, user, database): null

2019-07-31 17:56:19 - [TEST_STEP][PASSED] - commandLine.cmd.cmdLine(command, password): commandLine.cmd.cmdLine is PASSED

2019-07-31 17:56:24 - [MESSAGE][PASSED] - commandLine.cmd.cmdLine is PASSED]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <testcase name="Test Cases/Databases/DBRestore_SqlScripts/DB_Restore_virtualoptimizer" classname="Test Cases/Databases/DBRestore_SqlScripts/DB_Restore_virtualoptimizer" status="PASSED">
         <system-out><![CDATA[2019-07-31 17:56:24 - [TEST_CASE][PASSED] - Test Cases/Databases/DBRestore_SqlScripts/DB_Restore_virtualoptimizer: Test Cases/Databases/DBRestore_SqlScripts/DB_Restore_virtualoptimizer

2019-07-31 17:56:24 - [TEST_STEP][PASSED] - server = server: null

2019-07-31 17:56:24 - [TEST_STEP][PASSED] - port = port: null

2019-07-31 17:56:24 - [TEST_STEP][PASSED] - user = userDb: null

2019-07-31 17:56:24 - [TEST_STEP][PASSED] - password = passwordDb: null

2019-07-31 17:56:24 - [TEST_STEP][PASSED] - pathPostgreSQL = pathPostgreSQLBin: null

2019-07-31 17:56:24 - [TEST_STEP][PASSED] - database = "virtualoptimizer": null

2019-07-31 17:56:24 - [TEST_STEP][PASSED] - pathDumpFile = "C:\KatalonFiles\virtualoptimizer.dump": null

2019-07-31 17:56:25 - [TEST_STEP][PASSED] - cRestore = String.format("cd "%s" && pg_restore -U %s -h %s -p %d -c -C -d %s -v "%s"", pathPostgreSQL, user, server, port, database, pathDumpFile): null

2019-07-31 17:56:25 - [TEST_STEP][PASSED] - commandLine.cmd.cmdLine(cRestore, password): commandLine.cmd.cmdLine is PASSED

2019-07-31 17:56:30 - [MESSAGE][PASSED] - commandLine.cmd.cmdLine is PASSED

2019-07-31 17:56:30 - [TEST_STEP][PASSED] - println("The restore virtualoptimizer database was completed..."): null]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <testcase name="Test Cases/Databases/DB_Create_vo_probereadings_database" classname="Test Cases/Databases/DB_Create_vo_probereadings_database" status="PASSED">
         <system-out><![CDATA[2019-07-31 17:56:30 - [TEST_CASE][PASSED] - Test Cases/Databases/DB_Create_vo_probereadings_database: Test Cases/Databases/DB_Create_vo_probereadings_database

2019-07-31 17:56:30 - [TEST_STEP][PASSED] - server = server: null

2019-07-31 17:56:30 - [TEST_STEP][PASSED] - port = port: null

2019-07-31 17:56:30 - [TEST_STEP][PASSED] - user = userDb: null

2019-07-31 17:56:30 - [TEST_STEP][PASSED] - password = passwordDb: null

2019-07-31 17:56:30 - [TEST_STEP][PASSED] - pathPostgreSQL = pathPostgreSQLBin: null

2019-07-31 17:56:30 - [TEST_STEP][PASSED] - database = "vo_probeReadings": null

2019-07-31 17:56:30 - [TEST_STEP][PASSED] - command = String.format("cd "%s" && createdb -h %s -p %d -U %s  %s", pathPostgreSQL, server, port, user, database): null

2019-07-31 17:56:30 - [TEST_STEP][PASSED] - commandLine.cmd.cmdLine(command, password): commandLine.cmd.cmdLine is PASSED

2019-07-31 17:56:35 - [MESSAGE][PASSED] - commandLine.cmd.cmdLine is PASSED]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <testcase name="Test Cases/Databases/DB_vo_probereadings_with_flyway" classname="Test Cases/Databases/DB_vo_probereadings_with_flyway" status="PASSED">
         <system-out><![CDATA[2019-07-31 17:56:35 - [TEST_CASE][PASSED] - Test Cases/Databases/DB_vo_probereadings_with_flyway: Test Cases/Databases/DB_vo_probereadings_with_flyway

2019-07-31 17:56:35 - [TEST_STEP][PASSED] - user = userDb: null

2019-07-31 17:56:35 - [TEST_STEP][PASSED] - password = passwordDb: null

2019-07-31 17:56:35 - [TEST_STEP][PASSED] - pathFlyWay = flyway: null

2019-07-31 17:56:35 - [TEST_STEP][PASSED] - url = "jdbc:postgresql://localhost:5432/vo_probeReadings": null

2019-07-31 17:56:35 - [TEST_STEP][PASSED] - filesystem = "C:\VirtualOptimizer-Refactoring\CropMetrics.Vo.Api\CropMetrics.Vo.Api\Resources\Database\probeReadings": null

2019-07-31 17:56:35 - [TEST_STEP][PASSED] - commandFlyWay = String.format("cd "%s" && flyway -user=%s -password=%s -url=%s -locations=filesystem:"%s"  migrate", pathFlyWay, user, password, url, filesystem): null

2019-07-31 17:56:35 - [TEST_STEP][PASSED] - commandLine.cmd.singleCommand(commandFlyWay): commandLine.cmd.singleCommand is PASSED

2019-07-31 17:56:36 - [MESSAGE][PASSED] - commandLine.cmd.singleCommand is PASSED]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <system-out><![CDATA[2019-07-31 17:56:17 - [TEST_SUITE][PASSED] - Restore_databases_with_flyway: Test Cases/Databases/DB_vo_probereadings_with_flyway]]></system-out>
      <system-err><![CDATA[]]></system-err>
   </testsuite>
</testsuites>
